Update Runs - Put
为指定的更新放置更新运行
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/clusters/{clusterName}/updates/{updateName}/updateRuns/{updateRunName}?api-version=2024-04-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
cluster
|
path | True |
string |
群集的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
update
|
path | True |
string |
更新的名称 |
|
update
|
path | True |
string |
更新运行的名称 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| location |
string |
资源所在的地理位置 |
| properties.duration |
string |
更新运行的持续时间。 |
| properties.lastUpdatedTime |
string (date-time) |
更新运行中最近完成的步骤的时间戳。 |
| properties.progress.description |
string |
步骤的更详细说明。 |
| properties.progress.endTimeUtc |
string (date-time) |
当步骤达到终端状态时。 |
| properties.progress.errorMessage |
string |
如果步骤处于失败状态,则指定错误消息。 |
| properties.progress.expectedExecutionTime |
string |
给定步骤的预期执行时间。 这在更新行动计划中是可选的,可以是空的。 |
| properties.progress.lastUpdatedTimeUtc |
string (date-time) |
此步骤的完成时间或最后一个已完成的子步骤。 |
| properties.progress.name |
string |
步骤的名称。 |
| properties.progress.startTimeUtc |
string (date-time) |
步骤启动时,如果步骤尚未开始执行,则为空。 |
| properties.progress.status |
string |
步骤的状态,从 ECE 行动计划中弹出,以尝试安装。 值为:“Success”、“Error”、“InProgress”和“Unknown status”。 |
| properties.progress.steps |
Step[] |
此步骤的子步骤的递归模型。 |
| properties.state |
更新运行的状态。 |
|
| properties.timeStarted |
string (date-time) |
更新运行的时间戳已启动。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行 |
|
| Other Status Codes |
描述操作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get Update runs under cluster resource
示例请求
PUT https://management.azure.com/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3?api-version=2024-04-01
{
"properties": {
"progress": {
"name": "Unnamed step",
"description": "Update Azure Stack.",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"steps": [
{
"name": "PreUpdate Cloud",
"description": "Prepare for SSU update",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"steps": []
}
]
}
}
}
示例响应
{
"id": "/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3",
"name": "Microsoft4.2203.2.32/23b779ba-0d52-4a80-8571-45ca74664ec3",
"type": "Microsoft.AzureStackHCI/updates/updateRuns",
"location": "West US",
"properties": {
"progress": {
"name": "Unnamed step",
"description": "Update Azure Stack.",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"steps": [
{
"name": "PreUpdate Cloud",
"description": "Prepare for SSU update",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"steps": []
}
]
}
}
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Provisioning |
UpdateRuns 代理资源的预配状态。 |
| Step |
更新运行步骤的进度表示形式。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Update |
更新运行的详细信息 |
|
update |
更新运行的状态。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ProvisioningState
UpdateRuns 代理资源的预配状态。
| 值 | 说明 |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Accepted | |
| Provisioning |
Step
更新运行步骤的进度表示形式。
| 名称 | 类型 | 说明 |
|---|---|---|
| description |
string |
步骤的更详细说明。 |
| endTimeUtc |
string (date-time) |
当步骤达到终端状态时。 |
| errorMessage |
string |
如果步骤处于失败状态,则指定错误消息。 |
| expectedExecutionTime |
string |
给定步骤的预期执行时间。 这在更新行动计划中是可选的,可以是空的。 |
| lastUpdatedTimeUtc |
string (date-time) |
此步骤的完成时间或最后一个已完成的子步骤。 |
| name |
string |
步骤的名称。 |
| startTimeUtc |
string (date-time) |
步骤启动时,如果步骤尚未开始执行,则为空。 |
| status |
string |
步骤的状态,从 ECE 行动计划中弹出,以尝试安装。 值为:“Success”、“Error”、“InProgress”和“Unknown status”。 |
| steps |
Step[] |
此步骤的子步骤的递归模型。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
UpdateRun
更新运行的详细信息
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
资源所在的地理位置 |
| name |
string |
资源的名称 |
| properties.duration |
string |
更新运行的持续时间。 |
| properties.lastUpdatedTime |
string (date-time) |
更新运行中最近完成的步骤的时间戳。 |
| properties.progress.description |
string |
步骤的更详细说明。 |
| properties.progress.endTimeUtc |
string (date-time) |
当步骤达到终端状态时。 |
| properties.progress.errorMessage |
string |
如果步骤处于失败状态,则指定错误消息。 |
| properties.progress.expectedExecutionTime |
string |
给定步骤的预期执行时间。 这在更新行动计划中是可选的,可以是空的。 |
| properties.progress.lastUpdatedTimeUtc |
string (date-time) |
此步骤的完成时间或最后一个已完成的子步骤。 |
| properties.progress.name |
string |
步骤的名称。 |
| properties.progress.startTimeUtc |
string (date-time) |
步骤启动时,如果步骤尚未开始执行,则为空。 |
| properties.progress.status |
string |
步骤的状态,从 ECE 行动计划中弹出,以尝试安装。 值为:“Success”、“Error”、“InProgress”和“Unknown status”。 |
| properties.progress.steps |
Step[] |
此步骤的子步骤的递归模型。 |
| properties.provisioningState |
UpdateRuns 代理资源的预配状态。 |
|
| properties.state |
更新运行的状态。 |
|
| properties.timeStarted |
string (date-time) |
更新运行的时间戳已启动。 |
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
updateRunPropertiesState
更新运行的状态。
| 值 | 说明 |
|---|---|
| Unknown | |
| Succeeded | |
| InProgress | |
| Failed |